Summary:	Acer Hotkey driver
Name: 		acerhk
Version: 	0.5.35
Release: 	2%{?dist}
License: 	GPL
Group: 		System Environment/Kernel
URL:		http://www.cakey.de/acerhk/
Source0: 	http://www.cakey.de/acerhk/archives/acerhk-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Provides:	%{name}-kmod-common = %{version}
Requires:       %{name}-kmod >= %{version}


%description
This package contains the driver for managing special buttons and wireless
antenna on Acer and compatible laptops.

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT
cat > acerhk.modprobe <<EOF
# acerhk wireless modprobe
# use /sbin/modinfo acerhk to choose loading option for this module  
options acerhk poll=1 autowlan=1 wlan_state=0 bluetooth_state=0 usedritek=0 verbose=1
# force_series
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
install -D -p -m 0644 acerhk.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/acerhk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc COPYING README AUTHORS NEWS INSTALL doc/
%config(noreplace) %{_sysconfdir}/modprobe.d/acerhk

%changelog
* Tue Mar 20 2007 kwizart < kwizart at gmail.com > - 0.5.35-2
- Fix kversion crosscompile option
- add modprobe file

* Fri Mar 17 2007 kwizart < kwizart at gmail.com > - 0.5.35-1
- Update to 0.5.35

* Fri Sep 8 2006 Marcin Grabda (grabka) <grabka [AT] gmail [DOT] com> - 0.5.34
- first version 0.5.34
